Page MenuHomePhabricator

log more details about publishing error
Closed, ResolvedPublic1 Story Points

Description

Publishing errors are logged in EventLogging, but without any technical details, which is usually needed for actual debugging. It will be useful to log the stack trace, too.

Event Timeline

Amire80 created this task.Apr 1 2015, 1:25 PM
Amire80 assigned this task to KartikMistry.
Amire80 raised the priority of this task from to Normal.
Amire80 updated the task description. (Show Details)
Amire80 added subscribers: gerritbot, Amire80, Aklapper and 2 others.
Arrbee moved this task from Needs Triage to CX5 on the ContentTranslation board.Apr 10 2015, 9:51 AM

Change 204019 had a related patch set uploaded (by Santhosh):
Fix a js error when publishing fails because of unknown reasons

https://gerrit.wikimedia.org/r/204019

Change 204019 merged by jenkins-bot:
Fix a js error when publishing fails because of unknown reasons

https://gerrit.wikimedia.org/r/204019

Arrbee reassigned this task from KartikMistry to santhosh.Apr 14 2015, 9:10 AM
Arrbee set Security to None.
Arrbee edited a custom field.
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-85 board.

Stack trace is logged now, but parsoid gives just 503 for all errors. Parsoid fix for that is tracked at T96239

Keeping this task open till we see proper logging happens in eventlogging database

Arrbee edited projects, added LE-Sprint-86; removed LE-Sprint-85.Apr 21 2015, 7:31 AM
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-86 board.
Arrbee closed this task as Resolved.May 7 2015, 8:34 AM
Arrbee raised the priority of this task from Normal to High.
Arrbee moved this task from In Progress to Done on the LE-Sprint-86 board.
Arrbee added a subscriber: Arrbee.